Bug 10918 - closing file descriptor returned from dirfd is undefined and leaks
closing file descriptor returned from dirfd is undefined and leaks
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-04 16:38 UTC by Noel Power
Modified: 2014-11-18 20:13 UTC (History)
3 users (show)

See Also:


Attachments
patch for this issue (1.82 KB, patch)
2014-11-04 16:38 UTC, Noel Power
ddiss: review+
Details
patch for 4-2-test, cherry-picked from master branch with extra bug tag (1.98 KB, patch)
2014-11-12 12:43 UTC, David Disseldorp
jra: review+
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2014-11-04 16:38:36 UTC
Created attachment 10398 [details]
patch for this issue

Closing a directory handle file descriptor via close() is undefined,
according to:
http://pubs.opengroup.org/onlinepubs/9699919799/functions/dirfd.html
Comment 1 David Disseldorp 2014-11-12 12:43:49 UTC
Created attachment 10429 [details]
patch for 4-2-test, cherry-picked from master branch with extra bug tag
Comment 2 Jeremy Allison 2014-11-12 17:24:11 UTC
Comment on attachment 10429 [details]
patch for 4-2-test, cherry-picked from master branch with extra bug tag

LGTM.
Comment 3 Jeremy Allison 2014-11-12 17:24:35 UTC
Re-assigning to Karoloin for inclusion in 4.2.0.
Comment 4 Karolin Seeger 2014-11-17 19:43:15 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2014-11-18 20:13:45 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!